Vendor Statistics
High-Tech Bridge Security Advisories are CVE Compatible    High-Tech Bridge Security Advisories CWE Compatibility    High-Tech Bridge Security Advisories CVSS Adopters

Patch Available Upon Disclosure

2014 Q1 87%2013 Q2 92%
2013 Q4 67%2013 Q1 100%
2013 Q3 77%2012 Q4 68%

Vendor Average Time to Patch

2014 Q1 5 days 2013 Q2 30 days
2013 Q4 8 days 2013 Q1 13 days
2013 Q3 13 days 2012 Q4 26 days

286 software vendors have fixed 926 vulnerabilities in their products thanks to High-Tech Bridge Security Research Lab.

High-Tech Bridge Newsletter

Subscribe to our newsletter and receive some or all of our corporate news, invitations to security events or HTB Security Advisories – you choose what you want to receive.

Multiple Vulnerabilities in LiSK CMS

Advisory ID:HTB22371
Product:LiSK CMS
Vendor:Createch-group
Vulnerable Versions:4.4 and probably prior
Tested Version:4.4
Advisory Publication:May 6, 2010 [without technical details]
Vendor Notification:May 6, 2010
Public Disclosure:May 20, 2010
Vulnerability Type:Cross-Site Scripting [CWE-79]
Cross-Site Scripting [CWE-79]
SQL Injection [CWE-89]
CVE References:CVE-2010-2013
CVE-2010-2014
CVE-2010-2015
Risk Level:Medium
CVSSv2 Base Scores:4.3 (AV:N/AC:M/Au:N/C:N/I:P/A:N)
4.3 (AV:N/AC:M/Au:N/C:N/I:P/A:N)
6.5 (AV:N/AC:L/Au:S/C:P/I:P/A:P)
Discovered and Provided:High-Tech Bridge Security Research Lab
 

Advisory Details:

High-Tech Bridge SA Security Research Lab has discovered multiple vulnerabilities in LiSK CMS which could be exploited to perform cross-site scripting attacks and execute arbitrary SQL commands in application`s database.


1) Cross-site scripting (XSS) vulnerability in LiSK CMS: CVE-2010-2013

The vulnerability exists due to input sanitation error in the "id" parameter in edit_email.php. A remote attacker can send a specially crafted HTTP GET request to the vulnerable script and execute arbitrary HTML and script code in user`s browser in context of the vulnerable website.

Exploitation example:

http://host/path_to_cp/edit_email.php?&id=contact_form_214%27+--+%3Cimg+src=x+onerror=alert%28docume nt.cookie%29%3E


2) Cross-site scripting (XSS) vulnerability in LiSK CMS: CVE-2010-2014

The vulnerability exists due to input sanitation error in the "cl" parameter in list_content.php. A remote attacker can send a specially crafted HTTP GET request to the vulnerable script and execute arbitrary HTML and script code in user`s browser in context of the vulnerable website.

Exploitation example:

http://host/path_to_cp/list_content.php?cl=2%27%22%3E%3Cimg+src=x+onerror=alert%28document.cookie%29 %3E


3) SQL injection vulnerabilities in LiSK CMS: CVE-2010-2015

3.1 The vulnerability exists due to input sanitation error in the "id" parameter in cp_messages.php. A remote attacker can send a specially crafted HTTP GET request to the vulnerable script and execute arbitrary SQL commands in application`s database. Successful exploitation may allow an attacker to read, modify, add or delete arbitrary data in the database. To exploit this vulnerability user must have "CP Messages" privileges.

Exploitation example:

http://host/path_to_cp/cp_messages.php?action=view_inbox&id=-1+union+select+1,2,3,4,5,6,7,8,9+--+

3.2 The vulnerability exists due to input sanitation error in the "id" parameter in edit_email.php. A remote attacker can send a specially crafted HTTP GET request to the vulnerable script and execute arbitrary SQL commands in application`s database. Successful exploitation may allow an attacker to read, modify, add or delete arbitrary data in the database. To exploit this vulnerability user must have "CP Messages" privileges.

Exploitation example:

http://host/path_to_cp/edit_email.php?&id=X%27+union+select+1,2,3,4,5,6+--+


Solution:
Currently we are not aware of any vendor-supplied patches or other solutions. The vendor was contacted in accordance to our Vendor Notification Policy but we didn't get any answer or feedback.


ImmuniWeb® by High-Tech Bridge


References:
[1] High-Tech Bridge Advisory HTB22371 - https://www.htbridge.com/advisory/HTB22371 - Multiple Vulnerabilities in LiSK CMS
[2] LiSK CMS - lisk-cms.com - Lisk CMS is a comprehensive user friendly content management system.
[3] Common Vulnerabilities and Exposures (CVE) - http://cve.mitre.org/ - international in scope and free for public use, CVE® is a dictionary of publicly known information security vulnerabilities and exposures.
[4] Common Weakness Enumeration (CWE) - http://cwe.mitre.org - targeted to developers and security practitioners, CWE is a formal list of software weakness types.

Have additional information to submit?
Please feel free to send us any additional information related to this Advisory, such as vulnerable versions, additional exploitation details and conditions, patches and other relevant details.